### Enumeration

# Clutter InputMode

since: 13

#### Declaration

    enum Clutter.InputMode

#### Description [src]

The mode for input devices available.

Available since: 13

#### Members

`CLUTTER_INPUT_MODE_LOGICAL`

  A logical, virtual device.

  - Value: `0`
  - Nickname: `logical`
  - Available since: 13
`CLUTTER_INPUT_MODE_PHYSICAL`

  A physical device, attached to a logical device.

  - Value: `1`
  - Nickname: `physical`
  - Available since: 13
`CLUTTER_INPUT_MODE_FLOATING`

  A physical device, not attached to a logical device.

  - Value: `2`
  - Nickname: `floating`
  - Available since: 13